/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Definitions for sys_call_table, each line represents an
 * entry in the table in the form
 * SYSCALL(64 bit syscall, 31 bit emulated syscall)
 *
 * This file is meant to be included from entry.S.
 */

#define NI_SYSCALL SYSCALL(sys_ni_syscall,sys_ni_syscall)

NI_SYSCALL
SYSCALL(sys_exit,sys_exit)
SYSCALL(sys_fork,sys_fork)
SYSCALL(sys_read,compat_sys_s390_read)
SYSCALL(sys_write,compat_sys_s390_write)
SYSCALL(sys_open,compat_sys_open)
SYSCALL(sys_close,sys_close)
SYSCALL(sys_restart_syscall,sys_restart_syscall)
SYSCALL(sys_creat,sys_creat)
SYSCALL(sys_link,sys_link)
SYSCALL(sys_unlink,sys_unlink)
SYSCALL(sys_execve,compat_sys_execve)
SYSCALL(sys_chdir,sys_chdir)
SYSCALL(sys_ni_syscall,sys_time32)
SYSCALL(sys_mknod,sys_mknod)
SYSCALL(sys_chmod,sys_chmod)
SYSCALL(sys_ni_syscall,sys_lchown16)
NI_SYSCALL
NI_SYSCALL
SYSCALL(sys_lseek,compat_sys_lseek)
SYSCALL(sys_getpid,sys_getpid)
SYSCALL(sys_mount,sys_mount)
SYSCALL(sys_oldumount,sys_oldumount)
SYSCALL(sys_ni_syscall,sys_setuid16)
SYSCALL(sys_ni_syscall,sys_getuid16)
SYSCALL(sys_ni_syscall,sys_stime32)
SYSCALL(sys_ptrace,compat_sys_ptrace)
SYSCALL(sys_alarm,sys_alarm)
NI_SYSCALL
SYSCALL(sys_pause,sys_pause)
SYSCALL(sys_utime,sys_utime32)
NI_SYSCALL
NI_SYSCALL
SYSCALL(sys_access,sys_access)
SYSCALL(sys_nice,sys_nice)
NI_SYSCALL
SYSCALL(sys_sync,sys_sync)
SYSCALL(sys_kill,sys_kill)
SYSCALL(sys_rename,sys_rename)
SYSCALL(sys_mkdir,sys_mkdir)
SYSCALL(sys_rmdir,sys_rmdir)
SYSCALL(sys_dup,sys_dup)
SYSCALL(sys_pipe,sys_pipe)
SYSCALL(sys_times,compat_sys_times)
NI_SYSCALL
SYSCALL(sys_brk,sys_brk)
SYSCALL(sys_ni_syscall,sys_setgid16)
SYSCALL(sys_ni_syscall,sys_getgid16)
SYSCALL(sys_signal,sys_signal)
SYSCALL(sys_ni_syscall,sys_geteuid16)
SYSCALL(sys_ni_syscall,sys_getegid16)
SYSCALL(sys_acct,sys_acct)
SYSCALL(sys_umount,sys_umount)
NI_SYSCALL
SYSCALL(sys_ioctl,compat_sys_ioctl)
SYSCALL(sys_fcntl,compat_sys_fcntl)
NI_SYSCALL
SYSCALL(sys_setpgid,sys_setpgid)
NI_SYSCALL
NI_SYSCALL
SYSCALL(sys_umask,sys_umask)
SYSCALL(sys_chroot,sys_chroot)
SYSCALL(sys_ustat,compat_sys_ustat)
SYSCALL(sys_dup2,sys_dup2)
SYSCALL(sys_getppid,sys_getppid)
SYSCALL(sys_getpgrp,sys_getpgrp)
SYSCALL(sys_setsid,sys_setsid)
SYSCALL(sys_sigaction,compat_sys_sigaction)
NI_SYSCALL
NI_SYSCALL
SYSCALL(sys_ni_syscall,sys_setreuid16)
SYSCALL(sys_ni_syscall,sys_setregid16)
SYSCALL(sys_sigsuspend,sys_sigsuspend)
SYSCALL(sys_sigpending,compat_sys_sigpending)
SYSCALL(sys_sethostname,sys_sethostname)
SYSCALL(sys_setrlimit,compat_sys_setrlimit)
SYSCALL(sys_ni_syscall,compat_sys_old_getrlimit)
SYSCALL(sys_getrusage,compat_sys_getrusage)
SYSCALL(sys_gettimeofday,compat_sys_gettimeofday)
SYSCALL(sys_settimeofday,compat_sys_settimeofday)
SYSCALL(sys_ni_syscall,sys_getgroups16)
SYSCALL(sys_ni_syscall,sys_setgroups16)
NI_SYSCALL
SYSCALL(sys_symlink,sys_symlink)
NI_SYSCALL
SYSCALL(sys_readlink,sys_readlink)
SYSCALL(sys_uselib,sys_uselib)
SYSCALL(sys_swapon,sys_swapon)
SYSCALL(sys_reboot,sys_reboot)
SYSCALL(sys_ni_syscall,compat_sys_old_readdir)
SYSCALL(sys_old_mmap,compat_sys_s390_old_mmap)
SYSCALL(sys_munmap,sys_munmap)
SYSCALL(sys_truncate,compat_sys_truncate)
SYSCALL(sys_ftruncate,compat_sys_ftruncate)
SYSCALL(sys_fchmod,sys_fchmod)
SYSCALL(sys_ni_syscall,sys_fchown16)
SYSCALL(sys_getpriority,sys_getpriority)
SYSCALL(sys_setpriority,sys_setpriority)
NI_SYSCALL
SYSCALL(sys_statfs,compat_sys_statfs)
SYSCALL(sys_fstatfs,compat_sys_fstatfs)
NI_SYSCALL
SYSCALL(sys_socketcall,compat_sys_socketcall)
SYSCALL(sys_syslog,sys_syslog)
SYSCALL(sys_setitimer,compat_sys_setitimer)
SYSCALL(sys_getitimer,compat_sys_getitimer)
SYSCALL(sys_newstat,compat_sys_newstat)
SYSCALL(sys_newlstat,compat_sys_newlstat)
SYSCALL(sys_newfstat,compat_sys_newfstat)
NI_SYSCALL
SYSCALL(sys_lookup_dcookie,compat_sys_lookup_dcookie)
SYSCALL(sys_vhangup,sys_vhangup)
NI_SYSCALL
NI_SYSCALL
SYSCALL(sys_wait4,compat_sys_wait4)
SYSCALL(sys_swapoff,sys_swapoff)
SYSCALL(sys_sysinfo,compat_sys_sysinfo)
SYSCALL(sys_s390_ipc,compat_sys_s390_ipc)
SYSCALL(sys_fsync,sys_fsync)
SYSCALL(sys_sigreturn,compat_sys_sigreturn)
SYSCALL(sys_clone,sys_clone)
SYSCALL(sys_setdomainname,sys_setdomainname)
SYSCALL(sys_newuname,sys_newuname)
NI_SYSCALL
SYSCALL(sys_adjtimex,sys_adjtimex_time32)
SYSCALL(sys_mprotect,sys_mprotect)
SYSCALL(sys_sigprocmask,compat_sys_sigprocmask)
NI_SYSCALL
SYSCALL(sys_init_module,sys_init_module)
SYSCALL(sys_delete_module,sys_delete_module)
NI_SYSCALL
SYSCALL(sys_quotactl,sys_quotactl)
SYSCALL(sys_getpgid,sys_getpgid)
SYSCALL(sys_fchdir,sys_fchdir)
NI_SYSCALL
SYSCALL(sys_sysfs,sys_sysfs)
SYSCALL(sys_s390_personality,sys_s390_personality)
NI_SYSCALL
SYSCALL(sys_ni_syscall,sys_setfsuid16)
SYSCALL(sys_ni_syscall,sys_setfsgid16)
SYSCALL(sys_ni_syscall,sys_llseek)
SYSCALL(sys_getdents,compat_sys_getdents)
SYSCALL(sys_select,compat_sys_select)
SYSCALL(sys_flock,sys_flock)
SYSCALL(sys_msync,sys_msync)
SYSCALL(sys_readv,sys_readv)
SYSCALL(sys_writev,sys_writev)
SYSCALL(sys_getsid,sys_getsid)
SYSCALL(sys_fdatasync,sys_fdatasync)
NI_SYSCALL
SYSCALL(sys_mlock,sys_mlock)
SYSCALL(sys_munlock,sys_munlock)
SYSCALL(sys_mlockall,sys_mlockall)
SYSCALL(sys_munlockall,sys_munlockall)
SYSCALL(sys_sched_setparam,sys_sched_setparam)
SYSCALL(sys_sched_getparam,sys_sched_getparam)
SYSCALL(sys_sched_setscheduler,sys_sched_setscheduler)
SYSCALL(sys_sched_getscheduler,sys_sched_getscheduler)
SYSCALL(sys_sched_yield,sys_sched_yield)
SYSCALL(sys_sched_get_priority_max,sys_sched_get_priority_max)
SYSCALL(sys_sched_get_priority_min,sys_sched_get_priority_min)
SYSCALL(sys_sched_rr_get_interval,sys_sched_rr_get_interval_time32)
SYSCALL(sys_nanosleep,sys_nanosleep_time32)
SYSCALL(sys_mremap,sys_mremap)
SYSCALL(sys_ni_syscall,sys_setresuid16)
SYSCALL(sys_ni_syscall,sys_getresuid16)
NI_SYSCALL
NI_SYSCALL
SYSCALL(sys_poll,sys_poll)
NI_SYSCALL
SYSCALL(sys_ni_syscall,sys_setresgid16)
SYSCALL(sys_ni_syscall,sys_getresgid16)
SYSCALL(sys_prctl,sys_prctl)
SYSCALL(sys_rt_sigreturn,compat_sys_rt_sigreturn)
SYSCALL(sys_rt_sigaction,compat_sys_rt_sigaction)
SYSCALL(sys_rt_sigprocmask,compat_sys_rt_sigprocmask)
SYSCALL(sys_rt_sigpending,compat_sys_rt_sigpending)
SYSCALL(sys_rt_sigtimedwait,compat_sys_rt_sigtimedwait_time32)
SYSCALL(sys_rt_sigqueueinfo,compat_sys_rt_sigqueueinfo)
SYSCALL(sys_rt_sigsuspend,compat_sys_rt_sigsuspend)
SYSCALL(sys_pread64,compat_sys_s390_pread64)
SYSCALL(sys_pwrite64,compat_sys_s390_pwrite64)
SYSCALL(sys_ni_syscall,sys_chown16)
SYSCALL(sys_getcwd,sys_getcwd)
SYSCALL(sys_capget,sys_capget)
SYSCALL(sys_capset,sys_capset)
SYSCALL(sys_sigaltstack,compat_sys_sigaltstack)
SYSCALL(sys_sendfile64,compat_sys_sendfile)
NI_SYSCALL
NI_SYSCALL
SYSCALL(sys_vfork,sys_vfork)
SYSCALL(sys_getrlimit,compat_sys_getrlimit)
SYSCALL(sys_ni_syscall,compat_sys_s390_mmap2)
SYSCALL(sys_ni_syscall,compat_sys_s390_truncate64)
SYSCALL(sys_ni_syscall,compat_sys_s390_ftruncate64)
SYSCALL(sys_ni_syscall,compat_sys_s390_stat64)
SYSCALL(sys_ni_syscall,compat_sys_s390_lstat64)
SYSCALL(sys_ni_syscall,compat_sys_s390_fstat64)
SYSCALL(sys_lchown,sys_lchown)
SYSCALL(sys_getuid,sys_getuid)
SYSCALL(sys_getgid,sys_getgid)
SYSCALL(sys_geteuid,sys_geteuid)
SYSCALL(sys_getegid,sys_getegid)
SYSCALL(sys_setreuid,sys_setreuid)
SYSCALL(sys_setregid,sys_setregid)
SYSCALL(sys_getgroups,sys_getgroups)
SYSCALL(sys_setgroups,sys_setgroups)
SYSCALL(sys_fchown,sys_fchown)
SYSCALL(sys_setresuid,sys_setresuid)
SYSCALL(sys_getresuid,sys_getresuid)
SYSCALL(sys_setresgid,sys_setresgid)
SYSCALL(sys_getresgid,sys_getresgid)
SYSCALL(sys_chown,sys_chown)
SYSCALL(sys_setuid,sys_setuid)
SYSCALL(sys_setgid,sys_setgid)
SYSCALL(sys_setfsuid,sys_setfsuid)
SYSCALL(sys_setfsgid,sys_setfsgid)
SYSCALL(sys_pivot_root,sys_pivot_root)
SYSCALL(sys_mincore,sys_mincore)
SYSCALL(sys_madvise,sys_madvise)
SYSCALL(sys_getdents64,sys_getdents64)
SYSCALL(sys_ni_syscall,compat_sys_fcntl64)
SYSCALL(sys_readahead,compat_sys_s390_readahead)
SYSCALL(sys_ni_syscall,compat_sys_sendfile64)
SYSCALL(sys_setxattr,sys_setxattr)
SYSCALL(sys_lsetxattr,sys_lsetxattr)
SYSCALL(sys_fsetxattr,sys_fsetxattr)
SYSCALL(sys_getxattr,sys_getxattr)
SYSCALL(sys_lgetxattr,sys_lgetxattr)
SYSCALL(sys_fgetxattr,sys_fgetxattr)
SYSCALL(sys_listxattr,sys_listxattr)
SYSCALL(sys_llistxattr,sys_llistxattr)
SYSCALL(sys_flistxattr,sys_flistxattr)
SYSCALL(sys_removexattr,sys_removexattr)
SYSCALL(sys_lremovexattr,sys_lremovexattr)
SYSCALL(sys_fremovexattr,sys_fremovexattr)
SYSCALL(sys_gettid,sys_gettid)
SYSCALL(sys_tkill,sys_tkill)
SYSCALL(sys_futex,sys_futex_time32)
SYSCALL(sys_sched_setaffinity,compat_sys_sched_setaffinity)
SYSCALL(sys_sched_getaffinity,compat_sys_sched_getaffinity)
SYSCALL(sys_tgkill,sys_tgkill)
NI_SYSCALL
SYSCALL(sys_io_setup,compat_sys_io_setup)
SYSCALL(sys_io_destroy,sys_io_destroy)
SYSCALL(sys_io_getevents,sys_io_getevents_time32)
SYSCALL(sys_io_submit,compat_sys_io_submit)
SYSCALL(sys_io_cancel,sys_io_cancel)
SYSCALL(sys_exit_group,sys_exit_group)
SYSCALL(sys_epoll_create,sys_epoll_create)
SYSCALL(sys_epoll_ctl,sys_epoll_ctl)
SYSCALL(sys_epoll_wait,sys_epoll_wait)
SYSCALL(sys_set_tid_address,sys_set_tid_address)
SYSCALL(sys_fadvise64_64,compat_sys_s390_fadvise64)
SYSCALL(sys_timer_create,compat_sys_timer_create)
SYSCALL(sys_timer_settime,sys_timer_settime32)
SYSCALL(sys_timer_gettime,sys_timer_gettime32)
SYSCALL(sys_timer_getoverrun,sys_timer_getoverrun)
SYSCALL(sys_timer_delete,sys_timer_delete)
SYSCALL(sys_clock_settime,sys_clock_settime32)
SYSCALL(sys_clock_gettime,sys_clock_gettime32)
SYSCALL(sys_clock_getres,sys_clock_getres_time32)
SYSCALL(sys_clock_nanosleep,sys_clock_nanosleep_time32)
NI_SYSCALL
SYSCALL(sys_ni_syscall,compat_sys_s390_fadvise64_64)
SYSCALL(sys_statfs64,compat_sys_statfs64)
SYSCALL(sys_fstatfs64,compat_sys_fstatfs64)
SYSCALL(sys_remap_file_pages,sys_remap_file_pages)
SYSCALL(sys_mbind,sys_mbind)
SYSCALL(sys_get_mempolicy,sys_get_mempolicy)
SYSCALL(sys_set_mempolicy,sys_set_mempolicy)
SYSCALL(sys_mq_open,compat_sys_mq_open)
SYSCALL(sys_mq_unlink,sys_mq_unlink)
SYSCALL(sys_mq_timedsend,sys_mq_timedsend_time32)
SYSCALL(sys_mq_timedreceive,sys_mq_timedreceive_time32)
SYSCALL(sys_mq_notify,compat_sys_mq_notify)
SYSCALL(sys_mq_getsetattr,compat_sys_mq_getsetattr)
SYSCALL(sys_kexec_load,compat_sys_kexec_load)
SYSCALL(sys_add_key,sys_add_key)
SYSCALL(sys_request_key,sys_request_key)
SYSCALL(sys_keyctl,compat_sys_keyctl)
SYSCALL(sys_waitid,compat_sys_waitid)
SYSCALL(sys_ioprio_set,sys_ioprio_set)
SYSCALL(sys_ioprio_get,sys_ioprio_get)
SYSCALL(sys_inotify_init,sys_inotify_init)
SYSCALL(sys_inotify_add_watch,sys_inotify_add_watch)
SYSCALL(sys_inotify_rm_watch,sys_inotify_rm_watch)
SYSCALL(sys_migrate_pages,sys_migrate_pages)
SYSCALL(sys_openat,compat_sys_openat)
SYSCALL(sys_mkdirat,sys_mkdirat)
SYSCALL(sys_mknodat,sys_mknodat)
SYSCALL(sys_fchownat,sys_fchownat)
SYSCALL(sys_futimesat,sys_futimesat_time32)
SYSCALL(sys_newfstatat,compat_sys_s390_fstatat64)
SYSCALL(sys_unlinkat,sys_unlinkat)
SYSCALL(sys_renameat,sys_renameat)
SYSCALL(sys_linkat,sys_linkat)
SYSCALL(sys_symlinkat,sys_symlinkat)
SYSCALL(sys_readlinkat,sys_readlinkat)
SYSCALL(sys_fchmodat,sys_fchmodat)
SYSCALL(sys_faccessat,sys_faccessat)
SYSCALL(sys_pselect6,compat_sys_pselect6_time32)
SYSCALL(sys_ppoll,compat_sys_ppoll_time32)
SYSCALL(sys_unshare,sys_unshare)
SYSCALL(sys_set_robust_list,compat_sys_set_robust_list)
SYSCALL(sys_get_robust_list,compat_sys_get_robust_list)
SYSCALL(sys_splice,sys_splice)
SYSCALL(sys_sync_file_range,compat_sys_s390_sync_file_range)
SYSCALL(sys_tee,sys_tee)
SYSCALL(sys_vmsplice,sys_vmsplice)
SYSCALL(sys_move_pages,sys_move_pages)
SYSCALL(sys_getcpu,sys_getcpu)
SYSCALL(sys_epoll_pwait,compat_sys_epoll_pwait)
SYSCALL(sys_utimes,sys_utimes_time32)
SYSCALL(sys_fallocate,compat_sys_s390_fallocate)
SYSCALL(sys_utimensat,sys_utimensat_time32)
SYSCALL(sys_signalfd,compat_sys_signalfd)
NI_SYSCALL
SYSCALL(sys_eventfd,sys_eventfd)
SYSCALL(sys_timerfd_create,sys_timerfd_create)
SYSCALL(sys_timerfd_settime,sys_timerfd_settime32)
SYSCALL(sys_timerfd_gettime,sys_timerfd_gettime32)
SYSCALL(sys_signalfd4,compat_sys_signalfd4)
SYSCALL(sys_eventfd2,sys_eventfd2)
SYSCALL(sys_inotify_init1,sys_inotify_init1)
SYSCALL(sys_pipe2,sys_pipe2)
SYSCALL(sys_dup3,sys_dup3)
SYSCALL(sys_epoll_create1,sys_epoll_create1)
SYSCALL(sys_preadv,compat_sys_preadv)
SYSCALL(sys_pwritev,compat_sys_pwritev)
SYSCALL(sys_rt_tgsigqueueinfo,compat_sys_rt_tgsigqueueinfo)
SYSCALL(sys_perf_event_open,sys_perf_event_open)
SYSCALL(sys_fanotify_init,sys_fanotify_init)
SYSCALL(sys_fanotify_mark,compat_sys_fanotify_mark)
SYSCALL(sys_prlimit64,sys_prlimit64)
SYSCALL(sys_name_to_handle_at,sys_name_to_handle_at)
SYSCALL(sys_open_by_handle_at,compat_sys_open_by_handle_at)
SYSCALL(sys_clock_adjtime,sys_clock_adjtime32)
SYSCALL(sys_syncfs,sys_syncfs)
SYSCALL(sys_setns,sys_setns)
SYSCALL(sys_process_vm_readv,sys_process_vm_readv)
SYSCALL(sys_process_vm_writev,sys_process_vm_writev)
SYSCALL(sys_s390_runtime_instr,sys_s390_runtime_instr)
SYSCALL(sys_kcmp,sys_kcmp)
SYSCALL(sys_finit_module,sys_finit_module)
SYSCALL(sys_sched_setattr,sys_sched_setattr)
SYSCALL(sys_sched_getattr,sys_sched_getattr)
SYSCALL(sys_renameat2,sys_renameat2)
SYSCALL(sys_seccomp,sys_seccomp)
SYSCALL(sys_getrandom,sys_getrandom)
SYSCALL(sys_memfd_create,sys_memfd_create)
SYSCALL(sys_bpf,sys_bpf)
SYSCALL(sys_s390_pci_mmio_write,sys_s390_pci_mmio_write)
SYSCALL(sys_s390_pci_mmio_read,sys_s390_pci_mmio_read)
SYSCALL(sys_execveat,compat_sys_execveat)
SYSCALL(sys_userfaultfd,sys_userfaultfd)
SYSCALL(sys_membarrier,sys_membarrier)
SYSCALL(sys_recvmmsg,compat_sys_recvmmsg_time32)
SYSCALL(sys_sendmmsg,compat_sys_sendmmsg)
SYSCALL(sys_socket,sys_socket)
SYSCALL(sys_socketpair,sys_socketpair)
SYSCALL(sys_bind,sys_bind)
SYSCALL(sys_connect,sys_connect)
SYSCALL(sys_listen,sys_listen)
SYSCALL(sys_accept4,sys_accept4)
SYSCALL(sys_getsockopt,sys_getsockopt)
SYSCALL(sys_setsockopt,sys_setsockopt)
SYSCALL(sys_getsockname,sys_getsockname)
SYSCALL(sys_getpeername,sys_getpeername)
SYSCALL(sys_sendto,sys_sendto)
SYSCALL(sys_sendmsg,compat_sys_sendmsg)
SYSCALL(sys_recvfrom,compat_sys_recvfrom)
SYSCALL(sys_recvmsg,compat_sys_recvmsg)
SYSCALL(sys_shutdown,sys_shutdown)
SYSCALL(sys_mlock2,sys_mlock2)
SYSCALL(sys_copy_file_range,sys_copy_file_range)
SYSCALL(sys_preadv2,compat_sys_preadv2)
SYSCALL(sys_pwritev2,compat_sys_pwritev2)
SYSCALL(sys_s390_guarded_storage,sys_s390_guarded_storage)
SYSCALL(sys_statx,sys_statx)
SYSCALL(sys_s390_sthyi,sys_s390_sthyi)
SYSCALL(sys_kexec_file_load,sys_kexec_file_load)
SYSCALL(sys_io_pgetevents,compat_sys_io_pgetevents)
SYSCALL(sys_rseq,sys_rseq)
SYSCALL(sys_pkey_mprotect,sys_pkey_mprotect)
SYSCALL(sys_pkey_alloc,sys_pkey_alloc)
SYSCALL(sys_pkey_free,sys_pkey_free)
NI_SYSCALL
NI_SYSCALL
NI_SYSCALL
NI_SYSCALL
NI_SYSCALL
SYSCALL(sys_semtimedop,sys_ni_syscall)
SYSCALL(sys_semget,sys_semget)
SYSCALL(sys_semctl,compat_sys_semctl)
SYSCALL(sys_shmget,sys_shmget)
SYSCALL(sys_shmctl,compat_sys_shmctl)
SYSCALL(sys_shmat,compat_sys_shmat)
SYSCALL(sys_shmdt,sys_shmdt)
SYSCALL(sys_msgget,sys_msgget)
SYSCALL(sys_msgsnd,compat_sys_msgsnd)
SYSCALL(sys_msgrcv,compat_sys_msgrcv)
SYSCALL(sys_msgctl,compat_sys_msgctl)
SYSCALL(sys_ni_syscall,sys_clock_gettime)
SYSCALL(sys_ni_syscall,sys_clock_settime)
SYSCALL(sys_ni_syscall,sys_clock_adjtime)
SYSCALL(sys_ni_syscall,sys_clock_getres)
SYSCALL(sys_ni_syscall,sys_clock_nanosleep)
SYSCALL(sys_ni_syscall,sys_timer_gettime)
SYSCALL(sys_ni_syscall,sys_timer_settime)
SYSCALL(sys_ni_syscall,sys_timerfd_gettime)
SYSCALL(sys_ni_syscall,sys_timerfd_settime)
SYSCALL(sys_ni_syscall,sys_utimensat)
SYSCALL(sys_ni_syscall,compat_sys_pselect6_time64)
SYSCALL(sys_ni_syscall,compat_sys_ppoll_time64)
NI_SYSCALL
SYSCALL(sys_ni_syscall,sys_io_pgetevents)
SYSCALL(sys_ni_syscall,compat_sys_recvmmsg_time64)
SYSCALL(sys_ni_syscall,sys_mq_timedsend)
SYSCALL(sys_ni_syscall,sys_mq_timedreceive)
SYSCALL(sys_ni_syscall,sys_semtimedop)
SYSCALL(sys_ni_syscall,compat_sys_rt_sigtimedwait_time64)
SYSCALL(sys_ni_syscall,sys_futex)
SYSCALL(sys_ni_syscall,sys_sched_rr_get_interval)
SYSCALL(sys_pidfd_send_signal,sys_pidfd_send_signal)
SYSCALL(sys_io_uring_setup,sys_io_uring_setup)
SYSCALL(sys_io_uring_enter,sys_io_uring_enter)
SYSCALL(sys_io_uring_register,sys_io_uring_register)
SYSCALL(sys_open_tree,sys_open_tree)
SYSCALL(sys_move_mount,sys_move_mount)
SYSCALL(sys_fsopen,sys_fsopen)
SYSCALL(sys_fsconfig,sys_fsconfig)
SYSCALL(sys_fsmount,sys_fsmount)
SYSCALL(sys_fspick,sys_fspick)
SYSCALL(sys_pidfd_open,sys_pidfd_open)
SYSCALL(sys_clone3,sys_clone3)
SYSCALL(sys_close_range,sys_close_range)
SYSCALL(sys_openat2,sys_openat2)
SYSCALL(sys_pidfd_getfd,sys_pidfd_getfd)
SYSCALL(sys_faccessat2,sys_faccessat2)
SYSCALL(sys_process_madvise,sys_process_madvise)
SYSCALL(sys_epoll_pwait2,compat_sys_epoll_pwait2)
SYSCALL(sys_mount_setattr,sys_mount_setattr)
SYSCALL(sys_quotactl_fd,sys_quotactl_fd)
SYSCALL(sys_landlock_create_ruleset,sys_landlock_create_ruleset)
SYSCALL(sys_landlock_add_rule,sys_landlock_add_rule)
SYSCALL(sys_landlock_restrict_self,sys_landlock_restrict_self)
SYSCALL(sys_memfd_secret,sys_memfd_secret)
SYSCALL(sys_process_mrelease,sys_process_mrelease)
SYSCALL(sys_futex_waitv,sys_futex_waitv)
SYSCALL(sys_set_mempolicy_home_node,sys_set_mempolicy_home_node)
SYSCALL(sys_cachestat,sys_cachestat)
